Question-and-Answer Resource for the Building Energy Modeling Community
Get s tarted with the Help page
Ask Your Question

Revision history [back]

You're right, Eppy is failing to read the IDD for EnergyPlus 8.5, so for now yes, it's unsupported. I've just checked and 8.4 is working fine so I'll have a look at what the differences are.

I've made an issue on the Eppy GitHub page so that this gets addressed and I'll update this answer once 8.5 support is in place.

You're right, Eppy is failing to read the IDD for EnergyPlus 8.5, so for now yes, it's unsupported. I've just checked and 8.4 is working fine so I'll have a look at what the differences are.unsupported.

Update My bad, I'd accidentally changed the encoding on my installed version of 8.5 and it had messed something up. Reinstalling EnergyPlus restored the original encoding and there's now no problem running Eppy with EnergyPlus 8.5.

My suggestion is to reinstall EnergyPlus 8.5, but I've made an issue on the Eppy GitHub page so that in case this gets addressed and I'll update this answer once 8.5 support is in place.doesn't work.